<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:tns="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" elementFormDefault="qualified" targetNamespace="http://schemas.datacontract.org/2004/07/DigitalData.Services.EDMIService.Messages" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:complexType name="BaseResponse">
    <xs:sequence>
      <xs:element minOccurs="0" name="ErrorDetails" nillable="true" type="xs:string" />
      <xs:element minOccurs="0" name="ErrorMessage" nillable="true" type="xs:string" />
      <xs:element minOccurs="0" name="OK" type="xs:boolean" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="BaseResponse" nillable="true" type="tns:BaseResponse" />
  <xs:complexType name="TableResult">
    <xs:complexContent mixed="false">
      <xs:extension base="tns:BaseResponse">
        <xs:sequence>
          <xs:element minOccurs="0" name="Table" nillable="true">
            <xs:complexType>
              <xs:annotation>
                <xs:appinfo>
                  <ActualType Name="DataTable" Namespace="http://schemas.datacontract.org/2004/07/System.Data" xmlns="http://schemas.microsoft.com/2003/10/Serialization/">
                  </ActualType>
                </xs:appinfo>
              </xs:annotation>
              <xs:sequence>
                <xs:any minOccurs="0" maxOccurs="unbounded" namespace="http://www.w3.org/2001/XMLSchema" processContents="lax" />
                <xs:any minOccurs="1" namespace="urn:schemas-microsoft-com:xml-diffgram-v1" processContents="lax" />
              </xs:sequence>
            </xs:complexType>
          </xs:element>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:element name="TableResult" nillable="true" type="tns:TableResult" />
  <xs:complexType name="ScalarResult">
    <xs:complexContent mixed="false">
      <xs:extension base="tns:BaseResponse">
        <xs:sequence>
          <xs:element minOccurs="0" name="Scalar" nillable="true" type="xs:anyType" />
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:element name="ScalarResult" nillable="true" type="tns:ScalarResult" />
  <xs:complexType name="NonQueryResult">
    <xs:complexContent mixed="false">
      <xs:extension base="tns:BaseResponse">
        <xs:sequence />
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  <xs:element name="NonQueryResult" nillable="true" type="tns:NonQueryResult" />
</xs:schema>